New tarball 2.0.6-523 for xtrabackup_56 has error: "xtrabackup_56: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory "

Reported by Fernando Laudares Camargos on 2013-04-12
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Percona XtraBackup
Critical
Ignacio Nin
2.0
Critical
Ignacio Nin
2.1
Critical
Ignacio Nin

Bug Description

This bug has been reported by a customer: in summary, looks like it has been compiled against a different version of SSL.

I'll try to summarize the information provided by him:

"the new tarball 2.0.6-523 for xtrabackup_56 has error and file size is quite different."
* Here's the file from 2.0.6.523 tarball that has error:
    -rwxr-xr-x. 1 root root 79121728 Apr 11 14:49 xtrabackup_56
* Here's the file that extract from 2.0.6 rpm that works
    -rwxr-xr-x. 1 root root 11478360 Mar 19 13:42 /tmp/xtrabackup_56
* Here's more info on the one that works
    [mysql@ddb01lax01us bin]$ file /tmp/xtrabackup_56
    /tmp/xtrabackup_56: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.18, stripped
* Here's more info on the one that doesn't work from the latest tarball 2.0.6.523
    [mysql@ddb01lax01us bin]$ file xtrabackup_56
    xtrabackup_56: ELF 64-bit LSB executable, x86-64, version 1 (SYSV), dynamically linked (uses shared libs), for GNU/Linux 2.6.9, not stripped

That was reported on the following server:

    $ uname -a
    Linux ddb01lax01us.prod.auction.local 2.6.32-358.0.1.el6.x86_64 #1 SMP Wed Feb 20 11:05:23 EST 2013 x86_64 x86_64 x86_64 GNU/Linux

    $ cat /etc/issue
    Red Hat Enterprise Linux Server release 6.4 (Santiago) Kernel \r on an \m

Here's the error per si:

InnoDB Backup Utility v1.5.1-xtrabackup; Copyright 2003, 2009 Innobase Oy
and Percona Ireland Ltd 2009-2012. All Rights Reserved.

This software is published under
the GNU GENERAL PUBLIC LICENSE Version 2, June 1991.

130412 11:53:45 innobackupex: Starting mysql with options: --password=xxxxxxxx --user='msbkup' --unbuffered --
130412 11:53:45 innobackupex: Connected to database with mysql child process (pid=13246)
130412 11:53:51 innobackupex: Connection to database server closed
IMPORTANT: Please check that the backup run completes successfully.
           At the end of a successful backup run innobackupex
           prints "completed OK!".

innobackupex: Using mysql Ver 14.14 Distrib 5.6.10, for linux-glibc2.5 (x86_64) using EditLine wrapper
Warning: Using a password on the command line interface can be insecure.
innobackupex: Using mysql server version Copyright (c) 2000, 2013, Oracle and/or its affiliates. All rights reserved.

xtrabackup_56: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory
innobackupex: fatal error: no 'mysqld' group in MySQL options

Related branches

lp:~percona-core/percona-xtrabackup/release-2.0.6
Merged into lp:percona-xtrabackup/2.0 at revision 527
Stewart Smith (community): Approve on 2013-04-03
Alexey Kopytov: Pending requested 2013-04-02
Changed in percona-xtrabackup:
assignee: nobody → Ignacio Nin (ignacio-nin)
importance: Undecided → Critical
milestone: none → 2.0.7
Przemek (pmalkowski) wrote :

Note that for RedHat/Centos 6 in order to make xtrabackup binary from the tarball distribution of Percona XtraBackup work properly, you need to install this package: openssl098e. It will provide the libssl.so.6 library.

The RPM version uses the default libssl version - libssl.so.10.

Alexey Kopytov (akopytov) wrote :

Thanks, Przemek.

Marked bug #1172916 as also affecting XtraBackup binary tarballs.

Alexey Kopytov <email address hidden> writes:
> Marked bug #1172916 as also affecting XtraBackup binary tarballs.

I saw a warning in one of the debian builds that libssl actually isn't
used for any symbols in XB build, so it's possible that by tweaking how
we do the build in XB we can just drop the libssl dependency all together.

--
Stewart Smith

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers